public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jason Zaman" <perfinion@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/semodule-utils/
Date: Sun, 09 Mar 2025 22:01:02 +0000 (UTC)	[thread overview]
Message-ID: <1741557427.27f2e4631af8f2b9b8ef8ea23e9ca8057b235a9b.perfinion@gentoo> (raw)

commit:     27f2e4631af8f2b9b8ef8ea23e9ca8057b235a9b
Author:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
AuthorDate: Sun Mar  9 19:37:55 2025 +0000
Commit:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Sun Mar  9 21:57:07 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=27f2e463

sys-apps/semodule-utils: bump to 3.8.1

Signed-off-by: Jason Zaman <perfinion <AT> gentoo.org>

 sys-apps/semodule-utils/Manifest                   |  1 +
 .../semodule-utils/semodule-utils-3.8.1.ebuild     | 42 ++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/sys-apps/semodule-utils/Manifest b/sys-apps/semodule-utils/Manifest
index 80c5054e0e5c..4553592e8bdc 100644
--- a/sys-apps/semodule-utils/Manifest
+++ b/sys-apps/semodule-utils/Manifest
@@ -1,3 +1,4 @@
 DIST semodule-utils-3.6.tar.gz 12844 BLAKE2B e5e7501c412649f471e89cc89569d6c51421e0b46f172f243ce778bbe3a2c658ef9a92e3f3e1e07fb3358e25f63e004b6bd4b56619472fbcae8cb5b916d54170 SHA512 16b58bbafcaef9a2e8e34a20d0e1e4024a9044024de8fa3137c5ba1b9af600afac51c15ccb648dd6bff77747c047f4c9feafeea07c19b1eb14955acc92697a48
 DIST semodule-utils-3.7.tar.gz 12896 BLAKE2B 7487c74585e281f6c44e9977efb85e89bf01d93285c6cc6593dd876e948cc385ec9f11b52f3fc182b2bac3621bcc89c53fc217c41b1a01d586274139b0a40fa6 SHA512 133f76ddff0cc4121e59560f4167e15288cc7f6172a39b49ea631803f6e3365fef95166a55498fa2e036de85466e37bb6ec164ef60855eef8c888c9b384b0120
+DIST semodule-utils-3.8.1.tar.gz 12892 BLAKE2B b134dcd6bec0c543c22aba091c25568bca4fee1567538bac719103c7a2d825cbba8540d58cf1891d82f77b0b981e6e6448e9fc270f39c2afa9d9df83c1660b13 SHA512 e2d379192daf660aabe97d6565b8c6575d7ec6daf59505e1546c0a78a289c0bc533ed81494652503e003cdd61cec6dc72155b3077ed092a6b428a9fc2cd564fa
 DIST semodule-utils-3.8.tar.gz 12905 BLAKE2B 13c863ab3240e24f6d6069ed29bfa51133d593fa779040852b45640403482f0087b15de351a63a04c75940cdacb901c9c865257785aaf19cb13fbef8ebac2e8d SHA512 2983607b171201a66fcf8299ffa77e0a9c4d3042a360eb961ec470af27b528db995c959cee9934ce6b3f6de4e2f28db587c5b25ebe7e74386136874f704bc2d0

diff --git a/sys-apps/semodule-utils/semodule-utils-3.8.1.ebuild b/sys-apps/semodule-utils/semodule-utils-3.8.1.ebuild
new file mode 100644
index 000000000000..184020a21d90
--- /dev/null
+++ b/sys-apps/semodule-utils/semodule-utils-3.8.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+inherit toolchain-funcs
+
+MY_PV="${PV//_/-}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="SELinux policy module utilities"
+HOMEPAGE="https://github.com/SELinuxProject/selinux/wiki"
+
+if [[ ${PV} == *9999 ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/SELinuxProject/selinux.git"
+	S="${WORKDIR}/${P}/${PN}"
+else
+	SRC_URI="https://github.com/SELinuxProject/selinux/releases/download/${MY_PV}/${MY_P}.tar.gz"
+	KEYWORDS="~amd64 ~arm ~arm64 ~mips ~x86"
+	S="${WORKDIR}/${MY_P}"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+
+DEPEND=">=sys-libs/libsepol-${PV}:="
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+	default
+
+	sed -i 's/-Werror//g' "${S}"/*/Makefile || die "Failed to remove Werror"
+}
+
+src_compile() {
+	emake CC="$(tc-getCC)"
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+}


             reply	other threads:[~2025-03-09 22:01 UTC|newest]

Thread overview: 69+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-03-09 22:01 Jason Zaman [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-09 22:01 [gentoo-commits] repo/gentoo:master commit in: sys-apps/semodule-utils/ Jason Zaman
2025-02-09 22:45 Jason Zaman
2025-02-08 22:19 Jason Zaman
2024-08-12  1:23 Jason Zaman
2024-07-19 19:50 Jakov Smolić
2024-06-30  0:49 Jason Zaman
2024-06-30  0:36 Jason Zaman
2024-02-09 14:41 Kenton Groombridge
2024-01-17  1:33 Kenton Groombridge
2024-01-17  1:33 Kenton Groombridge
2023-04-15 15:13 Kenton Groombridge
2023-04-09 15:14 Kenton Groombridge
2023-03-30  0:09 Kenton Groombridge
2023-03-30  0:09 Kenton Groombridge
2022-07-18 12:49 Sam James
2022-07-18 12:49 Sam James
2022-07-02 17:03 Kenton Groombridge
2022-06-04  1:03 Kenton Groombridge
2022-06-04  1:03 Kenton Groombridge
2022-04-11  4:59 Jason Zaman
2022-04-11  3:44 Jason Zaman
2022-04-09  2:55 Jason Zaman
2021-12-28  1:14 Jason Zaman
2021-11-20 23:21 Sam James
2021-11-20 23:20 Sam James
2021-10-31  2:55 Sam James
2021-07-28 20:08 Sam James
2021-07-04 22:19 Sam James
2021-04-03  4:19 Jason Zaman
2021-04-03  4:19 Jason Zaman
2020-12-18  3:31 Jason Zaman
2020-12-03  3:12 Jason Zaman
2020-09-15  3:41 Jason Zaman
2020-02-15 13:21 Jason Zaman
2019-12-08 18:39 Jason Zaman
2019-12-08 17:26 Jason Zaman
2019-12-08 17:26 Jason Zaman
2019-12-02 14:50 Jason Zaman
2019-12-02 14:50 Jason Zaman
2019-08-17 10:09 Jason Zaman
2019-08-17 10:09 Jason Zaman
2019-03-31 13:46 Jason Zaman
2019-03-31 13:46 Jason Zaman
2019-02-09 11:49 Jason Zaman
2019-02-09 11:49 Jason Zaman
2018-06-26  2:07 Jason Zaman
2018-05-25  7:29 Jason Zaman
2018-05-25  7:29 Jason Zaman
2018-05-25  7:29 Jason Zaman
2018-05-13 17:28 Jason Zaman
2018-05-13 17:28 Jason Zaman
2018-04-27  4:45 Jason Zaman
2018-04-27  4:45 Jason Zaman
2018-04-26 11:22 Jason Zaman
2018-04-26 11:22 Jason Zaman
2017-09-23  2:15 Jason Zaman
2017-09-23  2:15 Jason Zaman
2017-08-07 16:48 Jason Zaman
2017-08-07 16:48 Jason Zaman
2017-07-22 11:08 Jason Zaman
2017-07-22 11:08 Jason Zaman
2017-07-09 10:03 Jason Zaman
2017-07-09 10:03 Jason Zaman
2017-06-13 15:20 Jason Zaman
2017-06-13 15:20 Jason Zaman
2017-04-26 18:14 Jason Zaman
2017-02-23 11:22 Jason Zaman
2016-11-20  5:27 Jason Zaman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1741557427.27f2e4631af8f2b9b8ef8ea23e9ca8057b235a9b.perfinion@gentoo \
    --to=perfinion@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox